{lib, ...}: {
  defaultTTL = 86400;
  zones = {
    "gmem.ca" =
      {
        "test" = {
          aaaa = {
            ttl = 0;
            data = ["100::"];
          };
        };
        "uptime" = {
          a = {
            data = ["91.107.206.145"];
          };
          aaaa = {
            data = ["2a01:4f8:c012:5ec6::"];
          };
        };
        "docs" = {
          a = {
            data = ["100.116.48.47"];
          };
          aaaa = {
            data = ["fd7a:115c:a1e0:ab12:4843:cd96:6274:302f"];
          };
        };
        "cluster" = {
          a = {
            data = ["100.77.43.133"];
          };
          aaaa = {
            data = [
              "fd7a:115c:a1e0:ab12:4843:cd96:624d:2b85"
            ];
          };
        };
        "newcluster" = {
          a = {
            ttl = 3600;
            data = ["100.87.208.14"];
          };
          aaaa = {
            ttl = 3600;
            data = [ "fd7a:115c:a1e0::2001:d00e" ];
          };
        };
        "homelab" = {
          a = {
            data = ["192.168.50.45"];
          };
        };
        "_acme-challenge.router" = {
          txt = {
            data = ["CJKnxKczldLEAy6zPkST0xeJ5Cy-xdT_ElzqMxhNh5E"];
          };
        };
      }
      // lib.attrsets.genAttrs [
        # Internally hosted applications
        "netboot"
        "changedetect"
      ] (name: {cname.data = "cluster";})
      // lib.attrsets.genAttrs [
        # Internally hosted applications
        "atuin"
        "pipedapi"
        "piped"
        "tools"
        "ytproxy"
        "irc"
        "hue"
        "home"
        "hb"
        "rss"
        "request-media"
        "ntfy"
      ] (name: {cname.data = "newcluster";})
      // lib.attrsets.genAttrs [
        # Externally hosted applications with Tunnels
        "authentik"
        "photos"
        "pw"
        "nitter"
        "git"
        "ibiza"
        "photos"
        "proxmox"
        "tokyo"
      ] (name: {
        cname = {
          ttl = 0;
          data = "a1544154-d851-44ee-8d3a-9fa245867745.cfargotunnel.com.";
        };
      });
  };
}
