<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="3.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:atom="http://www.w3.org/2005/Atom">
  <xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
  <xsl:template match="/">
	<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
      <head>
		<title>
          RSS Feeds | <xsl:value-of select="opml/head/title"/>
		</title>
		<link rel="stylesheet" href="/styles.css"/>
      </head>
      <body>
		<main>
		  <h1><xsl:value-of select="opml/head/title"/></h1>
		  <p>
			Export of Arch's subscribed RSS feeds.
			This is a valid OPML file! Just save and import it into your RSS reader
			of choice.
		  </p>
		  <p><i>Updated <xsl:value-of select="substring(/opml/head/dateCreated, 0, 17)" /></i></p>
		  <h2>Subscrptions</h2>
		  <xsl:for-each select="opml/body/outline">
			<div class="rss-group">
			  <h3><xsl:value-of select="@text"/></h3>
			  <xsl:for-each select="outline">
				<p>
				<a target="_blank">
				  <xsl:attribute name="href">
					<xsl:value-of select="@htmlUrl"/>
				  </xsl:attribute>
				  <xsl:value-of select="@text"/>
				</a>
				</p>
			  </xsl:for-each>
			</div>
		  </xsl:for-each>
		</main>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
