let
  appName = "nitter-bot";
  appImage = "git.gmem.ca/arch/nitter-bot:latest";
in
{
  lib,
  config,
  kubenix,
  ...
}: {
  kubernetes.resources.statefulSets.nitter-bot = {
    metadata.namespace = "nitter";
    spec = {
      selector.matchLabels.app = appName;
      serviceName = appName;
      template = {
        metadata.labels.app = appName;
        spec = {
          containers = {
            nitter-bot = {
              image = appImage;
              envFrom = [{secretRef.name = "nitter-bot";}
                         {configMapRef.name = "nitter-bot";}];
              resources = {
                requests = {
                  cpu = "1m";
                  memory = "32Mi";
                };
                limits = {
                  cpu = "1";
                  memory = "128Mi";
                };
              };
            };
          };
        };
      };
    };
  };

  kubernetes.resources.configMaps.nitter-bot = {
    metadata.namespace = "nitter";
    data = {
      NITTER_URL = "http://nitter:8080";
      NITTER_EXTERNAL_URL = "https://nitter.gmem.ca";
    };
  };
}
