{
  lib,
  pkgs,
  ...
}: {
  users.users.root.openssh.authorizedKeys.keys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILIztwQxt+jqroFONSgq+xzPMuE2I5Dq/zWPQ8RcTYJr gabriel@gitgalaxy.com"
  ];
  sdImage.compressImage = false;
  systemd.services.openssh.wantedBy = lib.mkOverride 40 ["multi-user.target"];
  services.openssh.enable = true;

  environment.systemPackages = with pkgs; [
    vim
    wget
    htop
    git
    screen
    nix-output-monitor
    tailscale
  ];

  system.stateVersion = "23.05";
}
